diff --git a/kresources/groupwise/kabc_resourcegroupwiseconfig.cpp b/kresources/groupwise/kabc_resourcegroupwiseconfig.cpp
index a5ccb74fc..220769077 100644
--- a/kresources/groupwise/kabc_resourcegroupwiseconfig.cpp
+++ b/kresources/groupwise/kabc_resourcegroupwiseconfig.cpp
@@ -168,7 +168,7 @@ void ResourceGroupwiseConfig::saveAddressBookSettings()
   // if so, clear the resource to clear the SAB data that is no longer required.
   // also, set the sequence numbers to 0 so that we know the SAB should be re-fetched in its entirety the next time we do load it
   TQString sab = mResource->prefs()->systemAddressBook();
-  if ( ( mReadAddressBookIds.tqfind( sab ) != mReadAddressBookIds.end() ) && ( selectedRead.tqfind( sab ) == selectedRead.end() ) )
+  if ( ( mReadAddressBookIds.find( sab ) != mReadAddressBookIds.end() ) && ( selectedRead.find( sab ) == selectedRead.end() ) )
   {
     mResource->clearCache();
     mResource->prefs()->setLastSequenceNumber( 0 );
@@ -195,14 +195,14 @@ void ResourceGroupwiseConfig::updateAddressBookView()
   GroupWise::AddressBook::List::ConstIterator abIt;
   for ( abIt = addressBooks.begin(); abIt != addressBooks.end(); ++abIt ) {
     AddressBookItem *item = new AddressBookItem( mAddressBookView, *abIt );
-    if ( selectedRead.tqfind( (*abIt).id ) != selectedRead.end() )
+    if ( selectedRead.find( (*abIt).id ) != selectedRead.end() )
       item->setOn( true );
 
     mAddressBookBox->insertItem( (*abIt).name );
     mWriteAddressBookIds.append( (*abIt).id );
   }
 
-  int index = mWriteAddressBookIds.tqfindIndex( mResource->prefs()->writeAddressBook() );
+  int index = mWriteAddressBookIds.findIndex( mResource->prefs()->writeAddressBook() );
   mAddressBookBox->setCurrentItem( index );
 }
 
diff --git a/kresources/groupwise/kioslave/groupwise.cpp b/kresources/groupwise/kioslave/groupwise.cpp
index 8689309b4..6ea0c8ed4 100644
--- a/kresources/groupwise/kioslave/groupwise.cpp
+++ b/kresources/groupwise/kioslave/groupwise.cpp
@@ -106,12 +106,12 @@ void Groupwise::get( const KURL &url )
   TQString path = url.path();
   debugMessage( "Path: " + path );
 
-  if ( path.tqcontains( "/freebusy" ) ) {
+  if ( path.contains( "/freebusy" ) ) {
     getFreeBusy( url );
-  } else if ( path.tqcontains( "/calendar" ) ) {
+  } else if ( path.contains( "/calendar" ) ) {
     getCalendar( url );
-  } else if ( path.tqcontains( "/addressbook" ) ) {
-    if ( url.query().tqcontains( "update=true" ) )
+  } else if ( path.contains( "/addressbook" ) ) {
+    if ( url.query().contains( "update=true" ) )
       updateAddressbook( url );
     else
       getAddressbook( url );
@@ -169,8 +169,8 @@ void Groupwise::getFreeBusy( const KURL &url )
 
     // Sanitise local Nuernberg email addresses
     kdDebug() << "Email before sanitizing: " << email << endl;
-    email = email.tqreplace(TQRegExp("\\.EMEA5-1\\.EMEA5" ), "" );
-    email = email.tqreplace(TQRegExp("\\.Suse.INTERNET" ), "" );
+    email = email.replace(TQRegExp("\\.EMEA5-1\\.EMEA5" ), "" );
+    email = email.replace(TQRegExp("\\.Suse.INTERNET" ), "" );
     kdDebug() << "Email after sanitizing: " << email << endl;
 
     TQString u = soapUrl( url );
diff --git a/kresources/groupwise/soap/contactconverter.cpp b/kresources/groupwise/soap/contactconverter.cpp
index 605d14d69..d4ab5f6a4 100644
--- a/kresources/groupwise/soap/contactconverter.cpp
+++ b/kresources/groupwise/soap/contactconverter.cpp
@@ -313,7 +313,7 @@ KABC::Addressee ContactConverter::convertFromContact( ngwt__Contact* contact )
        std::vector<std::string> list = contact->emailList->email;
        std::vector<std::string>::const_iterator it;
        for ( it = list.begin(); it != list.end(); ++it ) {
-         if ( emails.tqfind( stringToTQString( *it ) ) == emails.end() )
+         if ( emails.find( stringToTQString( *it ) ) == emails.end() )
            emails.append( stringToTQString( *it ) );
        }
      }
@@ -618,12 +618,12 @@ ngwt__ImAddressList* ContactConverter::convertImAddresses( const KABC::Addressee
 
 void ContactConverter::splitField( const TQString &str, TQString &app, TQString &name, TQString &value )
 {
-  int colon = str.tqfind( ':' );
+  int colon = str.find( ':' );
   if ( colon != -1 ) {
     TQString tmp = str.left( colon );
     value = str.mid( colon + 1 );
 
-    int dash = tmp.tqfind( '-' );
+    int dash = tmp.find( '-' );
     if ( dash != -1 ) {
       app = tmp.left( dash );
       name = tmp.mid( dash + 1 );
diff --git a/kresources/groupwise/soap/groupwiseserver.cpp b/kresources/groupwise/soap/groupwiseserver.cpp
index 3aee84877..93a3f0a27 100644
--- a/kresources/groupwise/soap/groupwiseserver.cpp
+++ b/kresources/groupwise/soap/groupwiseserver.cpp
@@ -60,7 +60,7 @@ static TQMap<struct soap *,GroupwiseServer *> mServerMap;
 int myOpen( struct soap *soap, const char *endpoint, const char *host, int port )
 {
   TQMap<struct soap *,GroupwiseServer *>::ConstIterator it;
-  it = mServerMap.tqfind( soap );
+  it = mServerMap.find( soap );
   if ( it == mServerMap.end() ) {
     soap->error = SOAP_FAULT;
     return SOAP_INVALID_SOCKET;
@@ -72,7 +72,7 @@ int myOpen( struct soap *soap, const char *endpoint, const char *host, int port
 int myClose( struct soap *soap )
 {
   TQMap<struct soap *,GroupwiseServer *>::ConstIterator it;
-  it = mServerMap.tqfind( soap );
+  it = mServerMap.find( soap );
   if ( it == mServerMap.end() ) return SOAP_FAULT;
 
   return (*it)->gSoapClose( soap );
@@ -81,7 +81,7 @@ int myClose( struct soap *soap )
 int mySendCallback( struct soap *soap, const char *s, size_t n )
 {
   TQMap<struct soap *,GroupwiseServer *>::ConstIterator it;
-  it = mServerMap.tqfind( soap );
+  it = mServerMap.find( soap );
   if ( it == mServerMap.end() ) return SOAP_FAULT;
 
   return (*it)->gSoapSendCallback( soap, s, n );
@@ -90,7 +90,7 @@ int mySendCallback( struct soap *soap, const char *s, size_t n )
 size_t myReceiveCallback( struct soap *soap, char *s, size_t n )
 {
   TQMap<struct soap *,GroupwiseServer *>::ConstIterator it;
-  it = mServerMap.tqfind( soap );
+  it = mServerMap.find( soap );
   if ( it == mServerMap.end() ) {
     kdDebug() << "No soap object found" << endl;
     soap->error = SOAP_FAULT;
diff --git a/kresources/groupwise/soap/gwjobs.cpp b/kresources/groupwise/soap/gwjobs.cpp
index 7a95cf6e8..6f5918597 100644
--- a/kresources/groupwise/soap/gwjobs.cpp
+++ b/kresources/groupwise/soap/gwjobs.cpp
@@ -84,7 +84,7 @@ void ReadAddressBooksJob::run()
       } else {
         TQString id = GWConverter::stringToTQString( (*it)->id );
         kdDebug() << "Reading ID: " << id << endl;
-        if ( mAddressBookIds.tqfind( id ) != mAddressBookIds.end() ) {
+        if ( mAddressBookIds.find( id ) != mAddressBookIds.end() ) {
           readAddressBook( *(*it)->id );
           mProgress += 100;
         }
@@ -438,7 +438,7 @@ void ReadCalendarJob::run()
   // perform consistency checks
   kdDebug() << "Total count of items of all types in folders we read: " << totalItems << endl;
   kdDebug() << "Folders we read contained " << totals.appointments << " appointments, " << totals.notes << " notes, and " << totals.tasks << " tasks." << endl;
-  kdDebug() << "Local calendar now tqcontains " << mCalendar->rawEvents().count() << " events and " << mCalendar->rawJournals().count() << " journals, and " << mCalendar->rawTodos().count() << " todos." << endl;
+  kdDebug() << "Local calendar now contains " << mCalendar->rawEvents().count() << " events and " << mCalendar->rawJournals().count() << " journals, and " << mCalendar->rawTodos().count() << " todos." << endl;
   if ( totals.appointments == mCalendar->rawEvents().count() )
     kdDebug() << "All events accounted for." << endl;
   else
diff --git a/kresources/groupwise/soap/ksslsocket.cpp b/kresources/groupwise/soap/ksslsocket.cpp
index c07708799..30e8bb643 100644
--- a/kresources/groupwise/soap/ksslsocket.cpp
+++ b/kresources/groupwise/soap/ksslsocket.cpp
@@ -150,12 +150,12 @@ void KSSLSocket::setMetaData( const TQString &key, const TQVariant &data )
 
 bool KSSLSocket::hasMetaData( const TQString &key )
 {
-	return d->metaData.tqcontains(key);
+	return d->metaData.contains(key);
 }
 
 TQString KSSLSocket::metaData( const TQString &key )
 {
-	if( d->metaData.tqcontains(key) )
+	if( d->metaData.contains(key) )
 		return d->metaData[key];
 	return TQString();
 }
diff --git a/kresources/groupwise/soap/soapC.cpp b/kresources/groupwise/soap/soapC.cpp
index 17c52d602..b446bc4ba 100644
--- a/kresources/groupwise/soap/soapC.cpp
+++ b/kresources/groupwise/soap/soapC.cpp
@@ -12992,7 +12992,7 @@ static const struct soap_code_map soap_codes_ngwt__FilterOp[] =
 	{ (long)lt, "lt" },
 	{ (long)gte, "gte" },
 	{ (long)lte, "lte" },
-	{ (long)tqcontains, "tqcontains" },
+	{ (long)contains, "contains" },
 	{ (long)containsWord, "containsWord" },
 	{ (long)begins, "begins" },
 	{ (long)exists, "exists" },
diff --git a/kresources/groupwise/soap/soapStub.h b/kresources/groupwise/soap/soapStub.h
index 7ba6692e9..829237fda 100644
--- a/kresources/groupwise/soap/soapStub.h
+++ b/kresources/groupwise/soap/soapStub.h
@@ -115,7 +115,7 @@ enum ngwt__FilterDate {Today = 0, Tomorrow = 1, ThisMonth = 2, ThisWeek = 3, Thi
 #ifndef SOAP_TYPE_ngwt__FilterOp
 #define SOAP_TYPE_ngwt__FilterOp (357)
 /* ngwt:FilterOp */
-enum ngwt__FilterOp {and_ = 0, or_ = 1, not_ = 2, eq = 3, ne = 4, gt = 5, lt = 6, gte = 7, lte = 8, tqcontains = 9, containsWord = 10, begins = 11, exists = 12, notExist = 13, isOf = 14, isNotOf = 15, fieldEqual = 16, fieldGTE = 17, fieldGT = 18, fieldLTE = 19, fieldLT = 20, fieldNE = 21, fieldDateEqual = 22};
+enum ngwt__FilterOp {and_ = 0, or_ = 1, not_ = 2, eq = 3, ne = 4, gt = 5, lt = 6, gte = 7, lte = 8, contains = 9, containsWord = 10, begins = 11, exists = 12, notExist = 13, isOf = 14, isNotOf = 15, fieldEqual = 16, fieldGTE = 17, fieldGT = 18, fieldLTE = 19, fieldLT = 20, fieldNE = 21, fieldDateEqual = 22};
 #endif
 
 #ifndef SOAP_TYPE_ngwt__FolderACLtqStatus
diff --git a/kresources/groupwise/soap/stdsoap2.h b/kresources/groupwise/soap/stdsoap2.h
index 3a337402a..603d4def9 100644
--- a/kresources/groupwise/soap/stdsoap2.h
+++ b/kresources/groupwise/soap/stdsoap2.h
@@ -1257,8 +1257,8 @@ struct soap_dom_element
   struct soap_dom_element &add(struct soap_dom_attribute&);
   soap_dom_iterator begin();
   soap_dom_iterator end();
-  soap_dom_iterator tqfind(const char *nstr, const char *name);
-  soap_dom_iterator tqfind(int type);
+  soap_dom_iterator find(const char *nstr, const char *name);
+  soap_dom_iterator find(int type);
   void unlink();
   soap_dom_element();
   soap_dom_element(struct soap *soap);
diff --git a/kresources/kolab/kabc/contact.cpp b/kresources/kolab/kabc/contact.cpp
index 474eafa3d..b75355f5a 100644
--- a/kresources/kolab/kabc/contact.cpp
+++ b/kresources/kolab/kabc/contact.cpp
@@ -1115,16 +1115,16 @@ void Contact::setFields( const KABC::Addressee* addressee )
   for( TQStringList::Iterator it = customs.begin(); it != customs.end(); ++it ) {
     // KABC::Addressee doesn't offer a real way to iterate over customs, other than splitting strings ourselves
     // The format is "app-name:value".
-    int pos = (*it).tqfind( '-' );
+    int pos = (*it).find( '-' );
     if ( pos == -1 ) continue;
     TQString app = (*it).left( pos );
     if ( app == "KOLAB" ) continue;
     TQString name = (*it).mid( pos + 1 );
-    pos = name.tqfind( ':' );
+    pos = name.find( ':' );
     if ( pos == -1 ) continue;
     TQString value = name.mid( pos + 1 );
     name = name.left( pos );
-    if ( !knownCustoms.tqcontains( name ) ) {
+    if ( !knownCustoms.contains( name ) ) {
       //kdDebug() << k_funcinfo << "app=" << app << " name=" << name << " value=" << value << endl;
       Custom c;
       if ( app != "KADDRESSBOOK" ) // that's the default
@@ -1162,8 +1162,8 @@ void Contact::saveTo( KABC::Addressee* addressee )
     for ( ; mit != mDistrListMembers.end(); ++mit ) {
       TQString displayName = (*mit).displayName;
       // fixup the display name DistributionList::assumes neither ',' nor ';' is present
-      displayName.tqreplace( ',', ' ' );
-      displayName.tqreplace( ';', ' ' );
+      displayName.replace( ',', ' ' );
+      displayName.replace( ';', ' ' );
       distrList.insertEntry( displayName, (*mit).email );
     }
     addressee->insertCustom( "KADDRESSBOOK", "DistributionList", distrList.custom( "KADDRESSBOOK", "DistributionList" ) );
diff --git a/kresources/kolab/kabc/resourcekolab.cpp b/kresources/kolab/kabc/resourcekolab.cpp
index 0acabb09b..ff19fb50d 100644
--- a/kresources/kolab/kabc/resourcekolab.cpp
+++ b/kresources/kolab/kabc/resourcekolab.cpp
@@ -335,7 +335,7 @@ bool KABC::ResourceKolab::kmailUpdateAddressee( const Addressee& addr )
   const TQString uid = addr.uid();
   TQString subResource;
   TQ_UINT32 sernum;
-  if ( mUidMap.tqfind( uid ) != mUidMap.end() ) {
+  if ( mUidMap.find( uid ) != mUidMap.end() ) {
     subResource = mUidMap[ uid ].resource();
     if ( !subresourceWritable( subResource ) ) {
       kdWarning() << "Wow! Something tried to update a non-writable addressee! Fix this caller: " << kdBacktrace() << endl;
@@ -398,7 +398,7 @@ bool KABC::ResourceKolab::kmailUpdateAddressee( const Addressee& addr )
     kdDebug(5650) << "kmailUpdate returned, now sernum=" << sernum << " for uid=" << uid << endl;
     mUidMap[ uid ] = StorageReference( subResource, sernum );
     // This is ugly, but it's faster than doing
-    // mAddrMap.tqfind(addr.uid()), which would give the same :-(
+    // mAddrMap.find(addr.uid()), which would give the same :-(
     // Reason for this: The Changed attribute of Addressee should
     // be mutable
     const_cast<Addressee&>(addr).setChanged( false );
@@ -416,7 +416,7 @@ void KABC::ResourceKolab::insertAddressee( const Addressee& addr )
   const TQString uid = addr.uid();
   //kdDebug(5650) << k_funcinfo << uid << endl;
   bool ok = false;
-  if ( mUidMap.tqcontains( uid ) ) {
+  if ( mUidMap.contains( uid ) ) {
     mUidsPendingUpdate.append( uid );
   } else {
     mUidsPendingAdding.append( uid );
@@ -431,7 +431,7 @@ void KABC::ResourceKolab::insertAddressee( const Addressee& addr )
 void KABC::ResourceKolab::removeAddressee( const Addressee& addr )
 {
   const TQString uid = addr.uid();
-  if ( mUidMap.tqfind( uid ) == mUidMap.end() ) return;
+  if ( mUidMap.find( uid ) == mUidMap.end() ) return;
   //kdDebug(5650) << k_funcinfo << uid << endl;
   const TQString resource = mUidMap[ uid ].resource();
   if ( !subresourceWritable( resource ) ) {
@@ -468,8 +468,8 @@ bool KABC::ResourceKolab::fromKMailAddIncidence( const TQString& type,
   //kdDebug(5650) << k_funcinfo << uid << endl;
 
   // Emit "addressbook changed" if this comes from kmail and not from the GUI
-  if ( !mUidsPendingAdding.tqcontains( uid )
-       && !mUidsPendingUpdate.tqcontains( uid ) ) {
+  if ( !mUidsPendingAdding.contains( uid )
+       && !mUidsPendingUpdate.contains( uid ) ) {
     addressBook()->emitAddressBookChanged();
   } else {
     mUidsPendingAdding.remove( uid );
@@ -490,9 +490,9 @@ void KABC::ResourceKolab::fromKMailDelIncidence( const TQString& type,
   //kdDebug(5650) << k_funcinfo << uid << endl;
 
   // Can't be in both, by contract
-  if ( mUidsPendingDeletion.tqcontains( uid ) ) {
+  if ( mUidsPendingDeletion.contains( uid ) ) {
     mUidsPendingDeletion.remove( uid );
-  } else if ( mUidsPendingUpdate.tqcontains( uid ) ) {
+  } else if ( mUidsPendingUpdate.contains( uid ) ) {
     // It's good to know if was deleted, but we are waiting on a new one to
     // replace it, so let's just sit tight.
   } else {
@@ -523,7 +523,7 @@ void KABC::ResourceKolab::fromKMailAddSubresource( const TQString& type,
 {
   if( type != s_kmailContentsType ) return;
 
-  if ( mSubResources.tqcontains( subResource ) )
+  if ( mSubResources.contains( subResource ) )
     // Already registered
     return;
 
@@ -540,7 +540,7 @@ void KABC::ResourceKolab::fromKMailDelSubresource( const TQString& type,
 {
   if( type != s_kmailContentsType ) return;
 
-  if ( !mSubResources.tqcontains( subResource ) )
+  if ( !mSubResources.contains( subResource ) )
     // Not registered
     return;
 
@@ -597,7 +597,7 @@ TQStringList KABC::ResourceKolab::subresources() const
 
 bool KABC::ResourceKolab::subresourceActive( const TQString& subresource ) const
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     return mSubResources[ subresource ].active();
   }
 
@@ -609,7 +609,7 @@ bool KABC::ResourceKolab::subresourceActive( const TQString& subresource ) const
 
 bool KABC::ResourceKolab::subresourceWritable( const TQString& subresource ) const
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     return mSubResources[ subresource ].writable();
   }
   return false; //better a safe default
@@ -617,7 +617,7 @@ bool KABC::ResourceKolab::subresourceWritable( const TQString& subresource ) con
 
 int KABC::ResourceKolab::subresourceCompletionWeight( const TQString& subresource ) const
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     return mSubResources[ subresource ].completionWeight();
   }
 
@@ -628,7 +628,7 @@ int KABC::ResourceKolab::subresourceCompletionWeight( const TQString& subresourc
 
 TQString KABC::ResourceKolab::subresourceLabel( const TQString& subresource ) const
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     return mSubResources[ subresource ].label();
   }
 
@@ -638,7 +638,7 @@ TQString KABC::ResourceKolab::subresourceLabel( const TQString& subresource ) co
 
 void KABC::ResourceKolab::setSubresourceCompletionWeight( const TQString& subresource, int completionWeight )
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     mSubResources[ subresource ].setCompletionWeight( completionWeight );
   } else {
     kdDebug(5650) << "setSubresourceCompletionWeight: subresource " << subresource << " not found" << endl;
@@ -657,7 +657,7 @@ TQMap<TQString, TQString> KABC::ResourceKolab::uidToResourceMap() const
 
 void KABC::ResourceKolab::setSubresourceActive( const TQString &subresource, bool active )
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     mSubResources[ subresource ].setActive( active );
     load();
   } else {
